# dtlsenc

Encodes packets with DTLS

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──dtlsenc

## Factory details

Authors: – Patrik Oldsberg <patrik.oldsberg@ericsson.com></patrik.oldsberg@ericsson.com>

Classification: – `Encoder/Network/DTLS`

Rank – none

Plugin – dtls

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – request

Direction – sink

Object type – GstPad

### `src`

    application/x-dtls:

Presence – always

Direction – src

Object type – GstPad

## Signals

### on-key-received

    on_key_received_callback (GstElement * param_0,
                              gpointer udata)

    def on_key_received_callback (param_0, udata):
        #python callback for the 'on-key-received' signal

    function on_key_received_callback(param_0: GstElement * param_0, udata: gpointer udata): {
        // javascript callback for the 'on-key-received' signal
    }

Parameters:

`param_0` –
No description available
`udata` –
No description available

Flags: Run Last

## Properties

### connection-id

    “connection-id” gchararray

Every encoder/decoder pair should have the same, unique, connection-id

Flags : Read / Write

Default value : NULL

### connection-state

    “connection-state” GstDtlsConnectionState *

Current connection state

Flags : Read

Default value : closed (1)

### encoder-key

    “encoder-key” GstBuffer *

Master key that should be used by the SRTP encoder

Flags : Read

### is-client

    “is-client” gboolean

Set to true if the decoder should act as client and initiate the handshake

Flags : Read / Write

Default value : false

### srtp-auth

    “srtp-auth” guint

The SRTP authentication selected in the DTLS handshake. The value will be set to an GstDtlsSrtpAuth.

Flags : Read

Default value : 0

### srtp-cipher

    “srtp-cipher” guint

The SRTP cipher selected in the DTLS handshake. The value will be set to an GstDtlsSrtpCipher.

Flags : Read

Default value : 0

The results of the search are